from pydantic import BaseModel

class MessageNoticeLogBase(BaseModel):
    message: str
    is_read: int
    uid: int
    sign: str
    type: int
    status: int | None = None
    create_time: int
    end_time: int
    url: str

class MessageNoticeLogCreate(MessageNoticeLogBase):
    pass

class MessageNoticeLogUpdate(MessageNoticeLogBase):
    pass

class MessageNoticeLog(MessageNoticeLogBase):
    id: int

    class Config:
        orm_mode = True